Index: .gitignore
===================================================================
--- .gitignore	(revision 6b6a1b958af3a0e59559e44ad700f761d8a49a09)
+++ .gitignore	(revision 73d91ac621a4e59f71ff6664c68c935317f9ce42)
@@ -1,3 +1,4 @@
 lfs-bootscripts-*.tar.xz
+lfs-*.tar.xz
 conditional.ent
 version.ent
Index: Makefile
===================================================================
--- Makefile	(revision 6b6a1b958af3a0e59559e44ad700f761d8a49a09)
+++ Makefile	(revision 73d91ac621a4e59f71ff6664c68c935317f9ce42)
@@ -58,5 +58,4 @@
          /bin/bash obfuscate.sh $$filename;           \
          sed -e "s@text/html@application/xhtml+xml@g" \
-             -e "s/\xa9/\&copy;/ "                    \
              -i $$filename;                           \
    done;
@@ -210,4 +209,13 @@
 all: book nochunks pdf dump-commands
 
-.PHONY : all book dump-commands nochunks pdf profile-html tmpdir validate md5sums wget-list version
-
+dist:
+	$(Q)DIST=/tmp/LFS-RELEASE ./git-version.sh $(REV)
+	$(Q)rm -f lfs-$$(</tmp/LFS-RELEASE).tar.xz
+	$(Q)tar cJf lfs-$$(</tmp/LFS-RELEASE).tar.xz \
+		$(shell git ls-tree HEAD . --name-only) version.ent \
+		-C /tmp LFS-RELEASE \
+		--transform "s,^,lfs-$$(</tmp/LFS-RELEASE)/,"
+	$(Q)echo "Generated XML tarball lfs-$$(</tmp/LFS-RELEASE).tar.xz"
+
+.PHONY : all book dump-commands nochunks pdf profile-html tmpdir validate md5sums wget-list version dist
+
Index: bootscripts/ChangeLog
===================================================================
--- bootscripts/ChangeLog	(revision 6b6a1b958af3a0e59559e44ad700f761d8a49a09)
+++ bootscripts/ChangeLog	(revision 73d91ac621a4e59f71ff6664c68c935317f9ce42)
@@ -1,2 +1,7 @@
+2023-10-04 Pierre Labastie <pierre.labastie@neuf.fr>
+   * After the changes done on 2022-03-24, several "halt stop" should
+     have been changed to "halt start". Done now. Fortunately, those
+     occur only when something wrong happens with disks or devices.
+
 2023-07-28 Xi Ruoyao <xry111@xry111.site>
    * In mountvirtfs, mount /sys/fs/cgroup for udev from systemd-254.
@@ -25,5 +30,5 @@
      - S scripts only started if not already marked S in the previous runlevel
      - K scripts only started if not already marked K in the previous runlevel
-     - remove the convention of running S scripts ith "stop" in rl 0/6
+     - remove the convention of running S scripts with "stop" in rl 0/6
 2021-06-08 Bruce Dubbs <bdubbs@linuxfromscratch.org>
    * When shutting down the network, ignore invalid interfaces
Index: bootscripts/lfs/init.d/checkfs
===================================================================
--- bootscripts/lfs/init.d/checkfs	(revision 6b6a1b958af3a0e59559e44ad700f761d8a49a09)
+++ bootscripts/lfs/init.d/checkfs	(revision 73d91ac621a4e59f71ff6664c68c935317f9ce42)
@@ -64,5 +64,5 @@
          log_info_msg "Press Enter to continue..."
          wait_for_user
-         /etc/rc.d/init.d/halt stop
+         /etc/rc.d/init.d/halt start
       else
          log_success_msg2
@@ -128,5 +128,5 @@
          log_info_msg "Press Enter to continue..."
          wait_for_user
-         /etc/rc.d/init.d/halt stop
+         /etc/rc.d/init.d/halt start
       fi
 
Index: bootscripts/lfs/init.d/udev
===================================================================
--- bootscripts/lfs/init.d/udev	(revision 6b6a1b958af3a0e59559e44ad700f761d8a49a09)
+++ bootscripts/lfs/init.d/udev	(revision 73d91ac621a4e59f71ff6664c68c935317f9ce42)
@@ -42,5 +42,5 @@
          log_info_msg "Press Enter to continue..."
          wait_for_user
-         /etc/rc.d/init.d/halt stop
+         /etc/rc.d/init.d/halt start
       fi
 
Index: git-version.sh
===================================================================
--- git-version.sh	(revision 6b6a1b958af3a0e59559e44ad700f761d8a49a09)
+++ git-version.sh	(revision 73d91ac621a4e59f71ff6664c68c935317f9ce42)
@@ -1,3 +1,3 @@
-#!/bin/sh
+#!/bin/bash
 
 if [ "$1" = sysv ]; then
@@ -15,4 +15,8 @@
 echo "<!ENTITY % systemd \"$SYSTEMD\">"  >> conditional.ent
 
+if [ -e LFS-RELEASE ]; then
+	exit 0
+fi
+
 if ! git status > /dev/null; then
     # Either it's not a git repository, or git is unavaliable.
@@ -25,5 +29,5 @@
     echo "]]>"                                             >> version.ent
     echo "<!ENTITY releasedate       \"unknown\">"         >> version.ent
-    echo "<!ENTITY copyrightdate     \"1999-2022\">"       >> version.ent
+    echo "<!ENTITY copyrightdate     \"1999-2023\">"       >> version.ent
     exit 0
 fi
@@ -66,2 +70,4 @@
 echo "<!ENTITY releasedate       \"$full_date\">"          >> version.ent
 echo "<!ENTITY copyrightdate     \"1999-$year\">"          >> version.ent
+
+[ -z "$DIST" ] || echo $version > "$DIST"
Index: lfs-latest-git.php
===================================================================
--- lfs-latest-git.php	(revision 6b6a1b958af3a0e59559e44ad700f761d8a49a09)
+++ lfs-latest-git.php	(revision 73d91ac621a4e59f71ff6664c68c935317f9ce42)
@@ -86,6 +86,7 @@
   exec( "curl --location --silent --max-time 30 $url", $dir );
 
-  $s   = implode( "\n", $dir );
-  $dir = strip_tags( $s );
+  $dir = implode( "\n", $dir );
+  if ( !preg_match( "/api.github.com/", $url) )
+    $dir = strip_tags( $dir );
   return explode( "\n", $dir );
 }
@@ -128,4 +129,5 @@
 if ( $package == "flex"       ) $dirpath = github("westes/flex");
 if ( $package == "flit_core"  ) $dirpath = "https://pypi.org/project/flit-core/";
+if ( $package == "setuptools" ) $dirpath = "https://pypi.org/project/setuptools/";
 if ( $package == "gcc"        ) $dirpath = max_parent( $dirpath, "gcc-" );
 if ( $package == "iana-etc"   ) $dirpath = github("Mic92/iana-etc");
@@ -294,4 +296,7 @@
      return find_max( $lines, "/flit-core /", "/^.*flit-core ([\d\.]+)$/" );
 
+  if ( $package == "setuptools" )
+     return find_max( $lines, "/setuptools /", "/^.*setuptools ([\d\.]+)$/" );
+
   if ( $package == "procps-ng" )
      return find_max( $lines, "/v\d/", "/^.*v([\d\.]+)$/" );
Index: packages.ent
===================================================================
--- packages.ent	(revision 6b6a1b958af3a0e59559e44ad700f761d8a49a09)
+++ packages.ent	(revision 73d91ac621a4e59f71ff6664c68c935317f9ce42)
@@ -48,8 +48,8 @@
 <!ENTITY automake-fin-sbu "less than 0.1 SBU (about 7.0 SBU with tests)">
 
-<!ENTITY bash-version "5.2.15">
-<!ENTITY bash-size "10,695 KB">
+<!ENTITY bash-version "5.2.21">
+<!ENTITY bash-size "10,696 KB">
 <!ENTITY bash-url "&gnu;bash/bash-&bash-version;.tar.gz">
-<!ENTITY bash-md5 "4281bb43497f3905a308430a8d6a30a5">
+<!ENTITY bash-md5 "ad5b38410e3bf0e9bcc20e2765f5e3f9">
 <!ENTITY bash-home "&gnu-software;bash/">
 <!ENTITY bash-tmp-du "67 MB">
@@ -58,8 +58,8 @@
 <!ENTITY bash-fin-sbu "1.1 SBU">
 
-<!ENTITY bc-version "6.6.0">
-<!ENTITY bc-size "455 KB">
+<!ENTITY bc-version "6.7.3">
+<!ENTITY bc-size "456 KB">
 <!ENTITY bc-url "https://github.com/gavinhoward/bc/releases/download/&bc-version;/bc-&bc-version;.tar.xz">
-<!ENTITY bc-md5 "a148cbaaf8ff813b7289a00539e74a5f">
+<!ENTITY bc-md5 "a2e39a5be32330bc2166b0e501668178">
 <!ENTITY bc-home "https://git.gavinhoward.com/gavin/bc">
 <!ENTITY bc-fin-du "7.7 MB">
@@ -149,8 +149,8 @@
 <!ENTITY e2fsprogs-fin-sbu "2.4 SBU on a spinning disk, 0.6 SBU on an SSD">
 
-<!ENTITY elfutils-version "0.189"> <!-- libelf -->
-<!ENTITY elfutils-size "8,936 KB">
+<!ENTITY elfutils-version "0.190"> <!-- libelf -->
+<!ENTITY elfutils-size "8,949 KB">
 <!ENTITY elfutils-url "https://sourceware.org/ftp/elfutils/&elfutils-version;/elfutils-&elfutils-version;.tar.bz2">
-<!ENTITY elfutils-md5 "5cfaa711a90cb670406cd495aeaa6030">
+<!ENTITY elfutils-md5 "79ad698e61a052bea79e77df6a08bc4b">
 <!ENTITY elfutils-home "https://sourceware.org/elfutils/">
 <!ENTITY elfutils-fin-du "122 MB">
@@ -209,8 +209,8 @@
 <!ENTITY flit-core-fin-sbu "less than 0.1 SBU">
 
-<!ENTITY gawk-version "5.2.2">
-<!ENTITY gawk-size "3,324 KB">
+<!ENTITY gawk-version "5.3.0">
+<!ENTITY gawk-size "3,356 KB">
 <!ENTITY gawk-url "&gnu;gawk/gawk-&gawk-version;.tar.xz">
-<!ENTITY gawk-md5 "d63b4de2c722cbd9b8cc8e6f14d78a1e">
+<!ENTITY gawk-md5 "97c5a7d83f91a7e1b2035ebbe6ac7abd">
 <!ENTITY gawk-home "&gnu-software;gawk/">
 <!ENTITY gawk-tmp-du "48 MB">
@@ -223,5 +223,4 @@
 <!ENTITY gcc-url "&gnu;gcc/gcc-&gcc-version;/gcc-&gcc-version;.tar.xz">
 <!ENTITY gcc-md5 "e0e48554cc6e4f261d55ddee9ab69075">
-<!ENTITY gcc-sha256 "">
 <!ENTITY gcc-home "https://gcc.gnu.org/">
 <!ENTITY gcc-tmpp1-du "4.2 GB">
@@ -247,8 +246,8 @@
 <!ENTITY gdbm-fin-sbu "less than 0.1 SBU">
 
-<!ENTITY gettext-version "0.22">
-<!ENTITY gettext-size "9,775 KB">
+<!ENTITY gettext-version "0.22.4">
+<!ENTITY gettext-size "10,016 KB">
 <!ENTITY gettext-url "&gnu;gettext/gettext-&gettext-version;.tar.xz">
-<!ENTITY gettext-md5 "db2f3daf34fd5b85ab1a56f9033e42d1">
+<!ENTITY gettext-md5 "2d8507d003ef3ddd1c172707ffa97ed8">
 <!ENTITY gettext-home "&gnu-software;gettext/">
 <!ENTITY gettext-tmp-du "306 MB">
@@ -319,8 +318,8 @@
 <!ENTITY gzip-fin-sbu "0.3 SBU">
 
-<!ENTITY iana-etc-version "20230810">
+<!ENTITY iana-etc-version "20231117">
 <!ENTITY iana-etc-size "588 KB">
 <!ENTITY iana-etc-url "https://github.com/Mic92/iana-etc/releases/download/&iana-etc-version;/iana-etc-&iana-etc-version;.tar.gz">
-<!ENTITY iana-etc-md5 "0502bd41cc0bf1c1c3cd8651058b9650">
+<!ENTITY iana-etc-md5 "f26b37a03a211ddd4e9c7189191e2772">
 <!ENTITY iana-etc-home "https://www.iana.org/protocols">
 <!ENTITY iana-etc-fin-du "4.8 MB">
@@ -331,5 +330,4 @@
 <!ENTITY inetutils-url "&gnu;inetutils/inetutils-&inetutils-version;.tar.xz">
 <!ENTITY inetutils-md5 "319d65bb5a6f1847c4810651f3b4ba74">
-<!ENTITY inetutils-sha256 "">
 <!ENTITY inetutils-home "&gnu-software;inetutils/">
 <!ENTITY inetutils-fin-du "31 MB">
@@ -344,8 +342,8 @@
 <!ENTITY intltool-fin-sbu "less than 0.1 SBU">
 
-<!ENTITY iproute2-version "6.4.0">
-<!ENTITY iproute2-size "904 KB">
+<!ENTITY iproute2-version "6.6.0">
+<!ENTITY iproute2-size "897 KB">
 <!ENTITY iproute2-url "&kernel;linux/utils/net/iproute2/iproute2-&iproute2-version;.tar.xz">
-<!ENTITY iproute2-md5 "90ce0eb84a8f1e2b14ffa77e8eb3f5ed">
+<!ENTITY iproute2-md5 "6716fc3188dbea226997fa2478a190d7">
 <!ENTITY iproute2-home "&kernel;linux/utils/net/iproute2/">
 <!ENTITY iproute2-fin-du "17 MB">
@@ -360,17 +358,17 @@
 <!ENTITY jinja2-fin-sbu "less than 0.1 SBU">
 
-<!ENTITY kbd-version "2.6.2">
-<!ENTITY kbd-size "1,469 KB">
+<!ENTITY kbd-version "2.6.3">
+<!ENTITY kbd-size "1,468 KB">
 <!ENTITY kbd-url "https://www.kernel.org/pub/linux/utils/kbd/kbd-&kbd-version;.tar.xz">
-<!ENTITY kbd-md5 "35e261a31e673c8aec7dbc6553ea075c">
+<!ENTITY kbd-md5 "4764775cac0415f1d35a0cd311249941">
 <!ENTITY kbd-home "https://kbd-project.org/">
 <!ENTITY kbd-fin-du "35 MB">
 <!ENTITY kbd-fin-sbu "0.1 SBU">
 
-<!ENTITY kmod-version "30">
-<!ENTITY kmod-size "555 KB">
+<!ENTITY kmod-version "31">
+<!ENTITY kmod-size "558 KB">
 <!ENTITY kmod-url "&kernel;linux/utils/kernel/kmod/kmod-&kmod-version;.tar.xz">
-<!ENTITY kmod-md5 "85202f0740a75eb52f2163c776f9b564">
-<!ENTITY kmod-home " ">
+<!ENTITY kmod-md5 "6165867e1836d51795a11ea4762ff66a">
+<!ENTITY kmod-home "https://github.com/kmod-project/kmod">
 <!ENTITY kmod-fin-du "12 MB">
 <!ENTITY kmod-fin-sbu "less than 0.1 SBU">
@@ -433,17 +431,20 @@
 
 <!ENTITY linux-major-version "6">
-<!ENTITY linux-minor-version "5">
-<!ENTITY linux-patch-version "1">
+<!ENTITY linux-minor-version "6">
+<!ENTITY linux-patch-version "3">
 <!--<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;">-->
 <!ENTITY linux-version "&linux-major-version;.&linux-minor-version;.&linux-patch-version;">
-<!ENTITY linux-size "135,684 KB">
+<!ENTITY linux-size "136,763 KB">
 <!ENTITY linux-url "&kernel;linux/kernel/v&linux-major-version;.x/linux-&linux-version;.tar.xz">
-<!ENTITY linux-md5 "228479f37b3face05b53bd7f8906abe0">
+<!ENTITY linux-md5 "3a760f5ac7d37b62dda9a4ca89f5fd96">
 <!ENTITY linux-home "https://www.kernel.org/">
-<!-- measured for 5.13.4 / gcc-11.1.0 on x86_64 : minimum is
- allnoconfig rounded down to allow for ongoing cleanups,
- max is allmodconfig  -->
-<!ENTITY linux-knl-du "1200 - 8800 MB (typically about 1700 MB)">
-<!ENTITY linux-knl-sbu "1.5 - 130.0 SBU (typically about 12 SBU)">
+<!-- measured for 6.5.3 / gcc-13.2.0 on x86_64 with -j4 : minimum is
+ allnoconfig + some configs we recommend for the users, rounded down to
+ allow ongoing cleanups; max is allmodconfig but IKHEADERS unset; typical
+ is the "daily use" config for the workstation measuring the min/max values.
+ The disk usage is the sum of the size of linux-6.5.3 directory and the
+ installed kernel image & modules.  -->
+<!ENTITY linux-knl-du "1.8 - 10.6 GB (typically about 2 GB)">
+<!ENTITY linux-knl-sbu "0.6 - 20.4 SBU (typically about 1.4 SBU)">
 
 <!ENTITY linux-headers-tmp-du "1.5 GB">
@@ -470,8 +471,8 @@
 <!ENTITY make-fin-sbu "0.5 SBU">
 
-<!ENTITY man-db-version "2.11.2">
-<!ENTITY man-db-size "1,908 KB">
+<!ENTITY man-db-version "2.12.0">
+<!ENTITY man-db-size "1,941 KB">
 <!ENTITY man-db-url "&savannah;/releases/man-db/man-db-&man-db-version;.tar.xz">
-<!ENTITY man-db-md5 "a7d59fb2df6158c44f8f7009dcc6d875">
+<!ENTITY man-db-md5 "67e0052fa200901b314fad7b68c9db27">
 <!ENTITY man-db-home "https://www.nongnu.org/man-db/">
 <!ENTITY man-db-fin-du "40 MB">
@@ -494,8 +495,8 @@
 <!ENTITY markupsafe-fin-sbu "less than 0.1 SBU">
 
-<!ENTITY meson-version "1.2.1">
-<!ENTITY meson-size "2,131 KB">
+<!ENTITY meson-version "1.3.0">
+<!ENTITY meson-size "2,171 KB">
 <!ENTITY meson-url "&github;/mesonbuild/meson/releases/download/&meson-version;/meson-&meson-version;.tar.gz">
-<!ENTITY meson-md5 "e3cc846536189aacd7d01858a45ca9af">
+<!ENTITY meson-md5 "35dc15e4f94ca5fd30dbe2d88a672254">
 <!ENTITY meson-home "https://mesonbuild.com">
 <!ENTITY meson-fin-du "42 MB">
@@ -536,8 +537,8 @@
 <!ENTITY ninja-fin-sbu "0.3 SBU">
 
-<!ENTITY openssl-version "3.1.2">
-<!ENTITY openssl-size "15,196 KB">
+<!ENTITY openssl-version "3.2.0">
+<!ENTITY openssl-size "17,284 KB">
 <!ENTITY openssl-url "https://www.openssl.org/source/openssl-&openssl-version;.tar.gz">
-<!ENTITY openssl-md5 "1d7861f969505e67b8677e205afd9ff4">
+<!ENTITY openssl-md5 "7903549a14abebc5c323ce4e85f2cbb2">
 <!ENTITY openssl-home "https://www.openssl.org/">
 <!ENTITY openssl-fin-du "587 MB">
@@ -556,10 +557,10 @@
 <!ENTITY perl-version-major "5">
 <!ENTITY perl-version-minor "38">
-<!ENTITY perl-version-patch "0">
+<!ENTITY perl-version-patch "2">
 <!ENTITY perl-version-min "&perl-version-major;.&perl-version-minor;">
 <!ENTITY perl-version "&perl-version-major;.&perl-version-minor;.&perl-version-patch;">
-<!ENTITY perl-size "13,248 KB">
+<!ENTITY perl-size "13,359 KB">
 <!ENTITY perl-url "https://www.cpan.org/src/5.0/perl-&perl-version;.tar.xz">
-<!ENTITY perl-md5 "e1c8aaec897dd386c741f97eef9f2e87">
+<!ENTITY perl-md5 "d3957d75042918a23ec0abac4a2b7e0a">
 <!ENTITY perl-home "https://www.perl.org/">
 <!ENTITY perl-tmp-du "280 MB">
@@ -568,8 +569,8 @@
 <!ENTITY perl-fin-sbu "7.1 SBU">
 
-<!ENTITY pkgconf-version "2.0.3">
-<!ENTITY pkgconf-size "304 KB">
+<!ENTITY pkgconf-version "2.1.0">
+<!ENTITY pkgconf-size "305 KB">
 <!ENTITY pkgconf-url "https://distfiles.ariadne.space/pkgconf/pkgconf-&pkgconf-version;.tar.xz">
-<!ENTITY pkgconf-md5 "b82ca48ed3097adfa007ee71489b6719">
+<!ENTITY pkgconf-md5 "0f2eadbb9dea5aed95147272ae1592cc">
 <!ENTITY pkgconf-home "http://pkgconf.org/">
 <!ENTITY pkgconf-fin-du "4.6 MB">
@@ -595,9 +596,9 @@
      meson pages will be needed: python3.6 and python3.6m -->
 
-<!ENTITY python-version "3.11.5">
-<!ENTITY python-minor "3.11">
-<!ENTITY python-size "19,584 KB">
+<!ENTITY python-version "3.12.0">
+<!ENTITY python-minor "3.12">
+<!ENTITY python-size "20,093 KB">
 <!ENTITY python-url "https://www.python.org/ftp/python/&python-version;/Python-&python-version;.tar.xz">
-<!ENTITY python-md5 "393856f1b7713aa8bba4b642ab9985d3">
+<!ENTITY python-md5 "f6f4616584b23254d165f4db90c247d6">
 <!ENTITY python-home "https://www.python.org/">
 <!ENTITY python-tmp-du "533 MB">
@@ -606,6 +607,6 @@
 <!ENTITY python-fin-sbu "1.9 SBU">
 <!ENTITY python-docs-url "https://www.python.org/ftp/python/doc/&python-version;/python-&python-version;-docs-html.tar.bz2">
-<!ENTITY python-docs-md5 "1abed52338038f4b53a277a5558af838">
-<!ENTITY python-docs-size "7,678 KB">
+<!ENTITY python-docs-md5 "ae9d19bb613ae8ef2457496bd2893915">
+<!ENTITY python-docs-size "8,009 KB">
 
 <!ENTITY readline-version "8.2">
@@ -628,9 +629,17 @@
 <!ENTITY sed-fin-sbu "0.3 SBU">
 
-<!ENTITY shadow-version "4.14.0">
-<!ENTITY shadow-size "1,746 KB">
+<!ENTITY setuptools-version "69.0.2">
+<!ENTITY setuptools-size "2,168 KB">
+<!ENTITY setuptools-url "&pypi-src;/s/setuptools/setuptools-&setuptools-version;.tar.gz">
+<!ENTITY setuptools-md5 "32bcc14eb830a13fbf33e053286f1081">
+<!ENTITY setuptools-home "&pypi-home;/setuptools/">
+<!ENTITY setuptools-fin-du "30 MB">
+<!ENTITY setuptools-fin-sbu "0.1 SBU">
+
+<!ENTITY shadow-version "4.14.2">
+<!ENTITY shadow-size "1,758 KB">
 <!ENTITY shadow-url "&github;/shadow-maint/shadow/releases/download/&shadow-version;/shadow-&shadow-version;.tar.xz">
-<!ENTITY shadow-md5 "bb0166bebc24db9003bb77bfd1359042">
-<!ENTITY shadow-home "https://shadow-maint.github.io/shadow/">
+<!ENTITY shadow-md5 "effc1aa17590305647413125b966f1dd">
+<!ENTITY shadow-home "&github;/shadow-maint/shadow/">
 <!ENTITY shadow-fin-du "46 MB">
 <!ENTITY shadow-fin-sbu "0.1 SBU">
@@ -691,8 +700,8 @@
 <!ENTITY tcl-tmp-sbu "2.7 SBU">
 
-<!ENTITY texinfo-version "7.0.3">
-<!ENTITY texinfo-size "4,776 KB">
+<!ENTITY texinfo-version "7.1">
+<!ENTITY texinfo-size "5,416 KB">
 <!ENTITY texinfo-url "&gnu;texinfo/texinfo-&texinfo-version;.tar.xz">
-<!ENTITY texinfo-md5 "37bf94fd255729a14d4ea3dda119f81a">
+<!ENTITY texinfo-md5 "edd9928b4a3f82674bcc3551616eef3b">
 <!ENTITY texinfo-home "&gnu-software;texinfo/">
 <!ENTITY texinfo-tmp-du "116 MB">
@@ -727,19 +736,19 @@
 <!ENTITY util-linux-fin-sbu "0.5 SBU">
 
-<!ENTITY vim-version "9.0.1837">
+<!ENTITY vim-version "9.0.2136">
 <!-- <!ENTITY vim-majmin "90"> -->
 <!ENTITY vim-docdir "vim/vim90">
-<!ENTITY vim-size "16,838 KB">
-<!--<!ENTITY vim-url "https://github.com/vim/vim/archive/v&vim-version;/vim-&vim-version;.tar.gz">-->
-<!ENTITY vim-url "&anduin-sources;/vim-&vim-version;.tar.gz">
-<!ENTITY vim-md5 "de7cba78a556f96482ae8f09b082aa59">
+<!ENTITY vim-size "16,989 KB">
+<!ENTITY vim-url "https://github.com/vim/vim/archive/v&vim-version;/vim-&vim-version;.tar.gz">
+<!--<!ENTITY vim-url "&anduin-sources;/vim-&vim-version;.tar.gz">-->
+<!ENTITY vim-md5 "8dcf113cb690bcdd13d75a4e7c2e3a62">
 <!ENTITY vim-home "https://www.vim.org">
 <!ENTITY vim-fin-du "229 MB">
 <!ENTITY vim-fin-sbu "2.3 SBU">
 
-<!ENTITY wheel-version "0.41.2">
-<!ENTITY wheel-size "96 KB">
+<!ENTITY wheel-version "0.42.0">
+<!ENTITY wheel-size "97 KB">
 <!ENTITY wheel-url "&pypi-src;/w/wheel/wheel-&wheel-version;.tar.gz">
-<!ENTITY wheel-md5 "06271a9e90c948b7e93dd7ce0fd90272">
+<!ENTITY wheel-md5 "802ad6e5f9336fcb1c76b7593f0cd22d">
 <!ENTITY wheel-home "&pypi-home;/wheel/">
 <!ENTITY wheel-fin-du "1.5 MB">
@@ -754,8 +763,8 @@
 <!ENTITY xml-parser-fin-sbu "less than 0.1 SBU">
 
-<!ENTITY xz-version "5.4.4">
-<!ENTITY xz-size "1,623 KB">
+<!ENTITY xz-version "5.4.5">
+<!ENTITY xz-size "1,642 KB">
 <!ENTITY xz-url "https://tukaani.org/xz/xz-&xz-version;.tar.xz">
-<!ENTITY xz-md5 "d83d6f64a64f88759e312b8a38c3add6">
+<!ENTITY xz-md5 "1d33e0be05c53e7a5641acf5c8b35fdd">
 <!ENTITY xz-home "https://tukaani.org/xz">
 <!ENTITY xz-tmp-du "22 MB">
Index: patches.ent
===================================================================
--- patches.ent	(revision 6b6a1b958af3a0e59559e44ad700f761d8a49a09)
+++ patches.ent	(revision 73d91ac621a4e59f71ff6664c68c935317f9ce42)
@@ -15,7 +15,7 @@
 <!ENTITY glibc-fhs-patch-size "2.8 KB">
 
-<!ENTITY glibc-memalign-patch "glibc-&glibc-version;-memalign_fix-1.patch">
-<!ENTITY glibc-memalign-patch-md5 "2c3552bded42a83ad6a7087c5fbf3857">
-<!ENTITY glibc-memalign-patch-size "20 KB">
+<!ENTITY glibc-upstream-fixes-patch "glibc-&glibc-version;-upstream_fixes-3.patch">
+<!ENTITY glibc-upstream-fixes-patch-md5 "545977e0b5c341ba945cf4b5de92f1e2">
+<!ENTITY glibc-upstream-fixes-patch-size "28 KB">
 
 <!ENTITY grub-upstream-fixes-patch "grub-&grub-version;-upstream_fixes-1.patch">
@@ -27,7 +27,7 @@
 <!ENTITY kbd-backspace-patch-size "12 KB">
 
-<!ENTITY readline-fixes-patch "readline-&readline-version;-upstream_fix-1.patch">
-<!ENTITY readline-fixes-patch-md5 "dd1764b84cfca6b677f44978218a75da">
-<!ENTITY readline-fixes-patch-size "1.3 KB">
+<!ENTITY readline-fixes-patch "readline-&readline-version;-upstream_fixes-2.patch">
+<!ENTITY readline-fixes-patch-md5 "d2477ebe908cc99763d90dde7fd9549a">
+<!ENTITY readline-fixes-patch-size "5.7 KB">
 
 <!ENTITY sysvinit-consolidated-patch "sysvinit-&sysvinit-version;-consolidated-1.patch">
Index: stylesheets/lfs-xsl/chunk-slave.xsl
===================================================================
--- stylesheets/lfs-xsl/chunk-slave.xsl	(revision 6b6a1b958af3a0e59559e44ad700f761d8a49a09)
+++ stylesheets/lfs-xsl/chunk-slave.xsl	(revision 73d91ac621a4e59f71ff6664c68c935317f9ce42)
@@ -10,7 +10,4 @@
   <!-- Upstream XHTML presentation templates -->
   <xsl:import href="http://docbook.sourceforge.net/release/xsl/current/xhtml/docbook.xsl"/>
-
-  <!-- Use ISO-8859-1 for output instead of default UTF-8 -->
-  <xsl:param name="chunker.output.encoding" select="'ISO-8859-1'"/>
 
   <!-- Including our customized elements templates -->
Index: stylesheets/lfs-xsl/pdf/lfs-pagesetup.xsl
===================================================================
--- stylesheets/lfs-xsl/pdf/lfs-pagesetup.xsl	(revision 6b6a1b958af3a0e59559e44ad700f761d8a49a09)
+++ stylesheets/lfs-xsl/pdf/lfs-pagesetup.xsl	(revision 73d91ac621a4e59f71ff6664c68c935317f9ce42)
@@ -242,3 +242,21 @@
   </xsl:template>
 
+  <!-- page.number.format
+       We want roman numerals only in book's preface, not parts prefaces
+       (if any). The original template is in {docbook-xsl}/fo/pagesetup.xsl -->
+  <xsl:template name="page.number.format">
+    <xsl:param name="element" select="local-name(.)"/>
+    <xsl:param name="master-reference" select="''"/>
+
+    <xsl:choose>
+      <xsl:when test="$element = 'toc' and self::book">i</xsl:when>
+      <xsl:when test="$element = 'set'">i</xsl:when>
+      <xsl:when test="$element = 'book'">i</xsl:when>
+      <xsl:when test="$element = 'preface' and not(ancestor::part)">i</xsl:when>
+      <xsl:when test="$element = 'dedication'">i</xsl:when>
+      <xsl:when test="$element = 'acknowledgements'">i</xsl:when>
+      <xsl:otherwise>1</xsl:otherwise>
+    </xsl:choose>
+  </xsl:template>
+
 </xsl:stylesheet>
Index: tidy.conf
===================================================================
--- tidy.conf	(revision 6b6a1b958af3a0e59559e44ad700f761d8a49a09)
+++ tidy.conf	(revision 73d91ac621a4e59f71ff6664c68c935317f9ce42)
@@ -2,6 +2,4 @@
 wrap: 78
 tab-size: 8
-input-encoding: latin1
-output-encoding: latin1
 write-back: yes
 markup: yes
